Bug 193194 - pf redirected TCP connections are randomly dropped
Summary: pf redirected TCP connections are randomly dropped
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.0-RELEASE
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-31 09:06 UTC by wiking
Modified: 2015-03-04 02:57 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wiking 2014-08-31 09:06:30 UTC
Every since I have upgraded to 10.0-RELEASE I'm facing the following problem:
I'm running various services (http, imap, smtp etc.) in different jail. As i have only one public IPv4 address I redirect the relevant ports to the jails and NAT connections from jails.

After 2-3 days uptime all the TCP connections that are redirected by PF to 
jails are randomly dropped. The only way I can fix this is by restarting the server, as I cannot remove the pf.ko kernel module.

This setup was working fine till 10.0-RELEASE, i.e. I've been using the machine with the very same setup every since 7.0-RELEASE.

after a little bit of search I found out that I'm not the only one who's facing this problem:
http://lists.freebsd.org/pipermail/freebsd-net/2014-February/037749.html
Comment 1 wiking 2014-11-25 01:40:17 UTC
FYI: this bug has been fixed in 10.1-RELEASE
Comment 2 Marek 2015-03-04 02:57:23 UTC
I there any patch for FreeBSD 10.0-RELEASE ?